Subject: Re: /etc/hosts.allow & /etc/hosts.deny
From: Prentis Brooks <[email-masked]>
To: "Chris _" <[email-masked]>, [email-masked]
Date: Thu, 7 Feb 2002 09:00:23 -0500

For host.allow to work for ssh,  you need to have tcp wrappers installed on 
the system.
also, the format for the hosts.allow file is 

service: host or IP list
so in your case, it should read
sshd: 192.168.1.100

Also, you need to update your services file to associate sshd with port 22

If you do a search for tcp wrappers on the mailing list you will find a 
conversation between myself, Corrina, and Mumit Khan (I think).  Mumit had 
provided a patch to tcp_wrappers version 7.6 which will be included in the 
next revision of tcp wrappers, so I recommend you use his patch.

On Thursday 07 February 2002 08:17 am, Chris _ wrote:
> Are these files implemented and if so, what is the format?  I had
> hosts.deny sort working but as soon as I put anything in hosts.allow any
> host can access the service.
>
> My hosts.deny was...
> ---
> #deny these hosts
> ALL: ALL
> ---
>
> My hosts.allow was...
> ---
> sshd: 192.168.1.100: ALLOW
>
> Nothing seems to work.  I tried tons of combinations with no results.
>
> tia
>
>
>
> _________________________________________________________________
> Join the world’s largest e-mail service with MSN Hotmail.
> http://www.hotmail.com

-- 
Prentis Brooks	| [email-masked] | 703-265-0914 | AIM: PrentisBrooks
Senior System Administrator - Web Infrastructure & Security

       A knight is sworn to valor.  His heart knows only virtue.  His blade
       defends the helpless.  His word speaks only truth.  His wrath undoes
       the wicked. - the old code of Bowen, last of the dragonslayers

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/